# Comments ## Add a Comment - [POST /commentmanager.add](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.add.md): Adds a comment to the specified object. ## Reply To a Comment - [POST /commentmanager.reply](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.reply.md): Posts a reply to the comment specified by the commentThreadTypedId in the request body. ## Delete a Comment - [POST /commentmanager.delete/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.delete.md): Deletes an existing Comment or CommentThread. If the CommentThread contains only one comment, the whole CommentThread is deleted. If the CommentThread is deleted, all related Comments are hard deleted. ## List Comment Threads - [POST /commentmanager.fetchthreads/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.fetchthreads-typedid.md): Retrieves comment threads associated with the specified object. An empty request body returns all comment threads. To narrow down returned comment threads, employ a filter in the request body (see the request example). ## Resolve a Comment - [POST /commentmanager.resolve/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.resolve-typedid.md): Resolves a comment thread. ## Unresolve a Comment - [POST /commentmanager.unresolve/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.unresolve-typedid.md): Unresolves a previously resolved comment thread. ## Edit a Comment - [POST /commentmanager.edit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/comments/post-commentmanager.edit-typedid.md): Edits the comment specified as the path param. Replaces the comment with the text provided in the request body. With each edit, the version number is incremented by 1. The comment metadata includes timestamps for creation and last update, along with the author of each change. If a reply is added to a resolved thread, the thread automatically changes to an unresolved state.